<div class="input-map-layer" ...attributes>

  <div class="input-group mb-3">
    <button type="button" class="btn btn-light btn-index" disabled>
      {{this.incrementedIndex}}.
    </button>

    <button type="button" class="btn btn-secondary btn-move-up" disabled={{this.canNotMoveUp}} {{on "click" this.moveUp}}>
      <FaIcon @icon="angle-up" />
    </button>

    <button type="button" class="btn btn-secondary btn-move-down" disabled={{this.canNotMoveDown}} {{on "click" this.moveDown}}>
      <FaIcon @icon="angle-down" />
    </button>

    {{! template-lint-disable require-input-label }}
    <select onchange={{this.selectType}} class="form-select select-layer-type {{unless @value.type 'is-invalid'}}">
      {{#unless @value.type}}
        <option></option>
      {{/unless}}

      {{#each this.rasterTypes as |type|}}
        <option value={{type}} selected={{eq @value.type type}}>{{type}}</option>
      {{/each}}
    </select>

    <button type="button" class="ms-4 btn btn-danger btn-move-down btn-delete" {{on "click" this.delete}}>
      <FaIcon @icon="trash" />
    </button>
  </div>

  {{#if @value.type}}
    <div class="visibility-options mt-3">
      <div class="mb-2 row">
        <label class="text-end col-sm-2 col-form-label">
          {{capitalize (t "visibility")}}
        </label>
        <div class="col-sm-10">
          <div class="input-group">
            {{! template-lint-disable require-input-label }}
            <select onchange={{this.selectVisibility}} class="form-select select-visibility">
              <option value="true" selected={{this.isVisibleOnAllLevels}}>{{t "on all zoom levels"}}</option>
              <option value="false" selected={{not this.isVisibleOnAllLevels}}>{{t "between"}}</option>
            </select>

            {{#unless this.isVisibleOnAllLevels}}
              <select onchange={{this.selectMinVisibility}} class="form-select select-min-visibility">
                {{#each this.minVisibilityList as |level|}}
                  <option value={{level}} selected={{eq this.minVisibility level}}>{{level}}</option>
                {{/each}}
              </select>
            {{/unless}}

            {{#unless this.isVisibleOnAllLevels}}
              <select onchange={{this.selectMaxVisibility}} class="form-select select-max-visibility">
                {{#each this.maxVisibilityList as |level|}}
                  <option value={{level}} selected={{eq this.maxVisibility level}}>{{level}}</option>
                {{/each}}
              </select>
            {{/unless}}
          </div>
        </div>
      </div>
    </div>
  {{/if}}

  {{#if this.panel}}
    <Input::Form @config={{this.panel}} @value={{@value.options}} @onChange={{this.changeOptions}} />
  {{/if}}

  {{#if this.hasOptions}}
    <div class="layer-options">
      {{#each this.optionList as |option|}}
        <div class="mb-2 row">
          <label for="colFormLabel" class="text-end col-sm-2 col-form-label">
            {{option.name}}
          </label>
          <div class="col-sm-10">
            {{#if option.options}}
              <div class="btn-group btn-options">
                {{#each option.options as |item|}}
                  <button type="button" class="btn {{if (eq item option.value) 'btn-success' 'btn-secondary'}}" disabled={{eq item option.value}} {{on "click" (fn this.changeOption option.name item)}}>
                    {{item}}
                  </button>
                {{/each}}
              </div>
            {{else}}
              {{! template-lint-disable require-input-label }}
              <input type="text" value={{option.value}} class="form-control" onblur={{fn this.changeText option.name}} />
            {{/if}}

            {{#if option.hint}}
              <small class="form-text text-muted">{{option.hint}}</small>
            {{/if}}
          </div>
        </div>
      {{/each}}
    </div>
  {{/if}}

  {{#if (eq @value.type "GISCollective Map")}}
    <div class="gis-collective-map">
      <div class="mb-2 row">
        <label class="text-end col-sm-2 col-form-label">
          {{capitalize (t "map")}}
        </label>

        <div class="col-sm-10">
          <div class="input-group">
            {{! template-lint-disable require-input-label }}
            <select onchange={{this.selectGisCollectiveMap}} class="form-select select-map-id">
              <option></option>
              {{#each @maps as |map|}}
                <option value={{map.id}} selected={{eq this.gisCollectiveMap map.id}}>{{map.name}}</option>
              {{/each}}
            </select>
          </div>
        </div>
      </div>
    </div>
  {{/if}}
</div>